-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Sep 09, 2024 at 06:28 PM
-- Server version: 10.6.19-MariaDB-cll-lve
-- PHP Version: 8.1.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `takemeeasy_signalapp`
--

-- --------------------------------------------------------

--
-- Table structure for table `Plans`
--

CREATE TABLE `Plans` (
  `id` int(11) NOT NULL,
  `plan_name` varchar(50) NOT NULL,
  `plan_type` varchar(20) NOT NULL,
  `price` int(10) NOT NULL DEFAULT 0,
  `duration_days` int(11) NOT NULL,
  `description` text DEFAULT NULL,
  `plan_status` varchar(20) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `Plans`
--

INSERT INTO `Plans` (`id`, `plan_name`, `plan_type`, `price`, `duration_days`, `description`, `plan_status`, `created_at`, `updated_at`) VALUES
(1, 'Free Basic', 'Free', 0, 0, 'Access to daily forex signals.\\nLimited one-on-one support.\\nSuitable for beginners.\\nGet started with forex trading.', 'Active', '2024-09-02 19:11:10', '2024-09-02 22:08:06'),
(2, 'Standard Monthly', 'Standard', 1, 30, 'Full access to all forex signals.\\nReal-time updates and alerts.\\nMonthly market insights.\\nPriority support and resources.', 'Active', '2024-09-02 19:11:11', '2024-09-04 21:10:48'),
(3, 'Premium Quarterly', 'Premium', 2, 90, 'Premium forex signals with advanced features.\\nWeekly expert analysis.\\nExclusive trading tips and strategies.\\nPersonalized support from experts.', 'Active', '2024-09-02 19:11:11', '2024-09-04 21:43:35'),
(4, 'Lifetime Access', 'Lifetime', 3, 0, 'Lifetime access to all forex signals.\\nUnlimited updates and insights.\\nExclusive member-only resources.\\nPriority customer service and consultations', 'Active', '2024-09-02 19:11:11', '2024-09-04 21:43:40');

-- --------------------------------------------------------

--
-- Table structure for table `Settings`
--

CREATE TABLE `Settings` (
  `id` int(11) NOT NULL,
  `telegram_bot_token` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `Settings`
--

INSERT INTO `Settings` (`id`, `telegram_bot_token`) VALUES
(1, '7348872471:AAFS5Hy0EzviyiUn7XJp1GGOHbeUnQKw2Aw');

-- --------------------------------------------------------

--
-- Table structure for table `TransactionsHistory`
--

CREATE TABLE `TransactionsHistory` (
  `id` int(11) NOT NULL,
  `txn_id` varchar(255) NOT NULL,
  `buyer_email` varchar(255) NOT NULL,
  `amount1` int(15) NOT NULL,
  `currency1` varchar(10) NOT NULL,
  `status` int(11) NOT NULL,
  `plan_name` varchar(255) NOT NULL,
  `plan_duration` varchar(255) NOT NULL,
  `purchase_date` date NOT NULL,
  `expired_date` date NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `TransactionsHistory`
--

INSERT INTO `TransactionsHistory` (`id`, `txn_id`, `buyer_email`, `amount1`, `currency1`, `status`, `plan_name`, `plan_duration`, `purchase_date`, `expired_date`, `created_at`) VALUES
(12, 'CPII2JBQICXVZBEV5YMGXEYMP4', 'julianstewart85@gmail.com', 1, 'USD', 100, 'Standard Monthly', '30', '2024-09-05', '2024-10-05', '2024-09-05 06:52:05'),
(13, '838388844B', 'mdaliajgorshimul@gmail.com', 2, 'paypal-usd', 100, 'Premium Quarterly', '90', '2024-09-09', '2024-12-08', '2024-09-09 22:18:48');

-- --------------------------------------------------------

--
-- Table structure for table `Users`
--

CREATE TABLE `Users` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `user_type` varchar(50) DEFAULT NULL,
  `plan_duration` int(11) DEFAULT NULL,
  `purchase_date` date DEFAULT NULL,
  `expired_date` date DEFAULT NULL,
  `telegram_username` varchar(50) DEFAULT NULL,
  `telegram_chat_id` varchar(50) DEFAULT NULL,
  `password` varchar(255) NOT NULL,
  `user_status` varchar(50) NOT NULL DEFAULT 'active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `Users`
--

INSERT INTO `Users` (`id`, `name`, `email`, `user_type`, `plan_duration`, `purchase_date`, `expired_date`, `telegram_username`, `telegram_chat_id`, `password`, `user_status`) VALUES
(9, 'julian crypto', 'julianstewart85@gmail.com', 'Standard Monthly', 30, '2024-09-05', '2024-10-05', 'julian test', NULL, '$2y$10$6waec8TDpTbQI3.lGHMZnegMaiZlIEKRDxBR4zguI7DkadMSgMyOq', 'active'),
(10, 'Ali', 'mdaliajgorshimul@gmail.com', 'Premium Quarterly', 90, '2024-09-09', '2024-12-08', 'julian test', NULL, '$2y$10$6waec8TDpTbQI3.lGHMZnegMaiZlIEKRDxBR4zguI7DkadMSgMyOq', 'active');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `Plans`
--
ALTER TABLE `Plans`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `Settings`
--
ALTER TABLE `Settings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `TransactionsHistory`
--
ALTER TABLE `TransactionsHistory`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `Users`
--
ALTER TABLE `Users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `Plans`
--
ALTER TABLE `Plans`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `Settings`
--
ALTER TABLE `Settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `TransactionsHistory`
--
ALTER TABLE `TransactionsHistory`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `Users`
--
ALTER TABLE `Users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
